Subject: Porting linux on PPC405

From: [email-masked]
Date: Wed, 03 Sep 2008 23:39:37 -0700

Hi all,

I am trying to port Linux 2.6 on PPC405 processor.I have 
EDK 10.1,
Xilinx University program board (with Virtex II Pro device)
linux kernel from Xilinx git. (git.xilinx.com)
Cross Compiler (Croostool)
fdt.dts file generated by EDK using with help of Xilinx fdt patch.

I could compile the kernel and could generate the zImage. 
I've downloaded the hardware bit file and then the zImage to the DDR SDRAM on the board using Parallel 4 cable.

when i give the RUN command, this is what i get..

booting virtex
memstart=0x0
memsize=0x10000000
zImage starting: loaded at 0x00400000 (sp: 0x00578f1c)
Allocating 0x326564 bytes for kernel ...
gunzipping (0x00000000 <- 0x0040c000:0x005772bb)...done 0x3015c8 bytes
Linux/PowerPC load: console=ttyS0 ip=on root=/dev/ram
Finalizing device tree... flat tree at 0x40ad68
 
The booting process seems to be stopped after this. I the bootarguments i've given are,

In dts file,

bootargs = "console=ttyS0 ip=off root=/dev/ram";
linux,stdout-path="/plb@0/serial@83e00000";

Please let me know if've missed smthing here..!
n any clue on the reason why the boor process seems to be hanged here !

Thanks in advance,
Vineeth